Page 1 sur 1

Kernel 4.15 et UT en erreur [spectre et meltdown]

Posté : 27 février 2018, 08:47
par Maeda
Bonjour,

Si comme moi, vous tournez sur Archlinux ou tout autre distribution ayant un kernel récent (mis à jour dans les 15 jours), vous pouvez avoir des problèmes sur certains projets, avec des unités partant en erreur (un grand nombre).
Pour l'instant, je n'ai vu que des erreurs sur le projet World Community Grid.

Cela est dû aux correctifs sur les failles Spectre & Meltdown.

Infos du forum World Community Grid.

La solution serait d'ajouter l'option vsyscall=emulate dans la ligne de commande du chargement du kernel au boot.

Je n'ai pas encore testé, mais il est indiqué que cela fonctionne.

A n'utilisez que si vous avez le problème.

Re: Kernel 4.15 et UT en erreur [spectre et meltdown]

Posté : 28 février 2018, 11:50
par Elgrande71
Actuellement j'ai des soucis avec la version libre du noyau 4.15 ( système Parabola GNU/Linux ) .
Le module crypto_user ne se charge pas en mémoire .
Cela ne concerne pas ton problème mais il semblerait la version 4.15 du noyau Linux soit problématique .
Heureusement que a trouvé un moyen de contourner le bug .

Re: Kernel 4.15 et UT en erreur [spectre et meltdown]

Posté : 12 avril 2018, 22:46
par Maeda
En fait non, car le contournement du problème est de réactiver les vulnérabilités...!
Donc je n'ai pas fait et mon Core i7 ne fait plus du tout de WCG :nico5: .

En fait si je filtrerai les projets, le dernier en date (si je ne me trompe pas) : Microbiome Immunity Project, fonctionne bien car il a été compilé avec une version récente de glibc :tuxwin:

Or les anciens projets semblent (d'après le lien que j'ai donné) tourner avec une glibc datant de plus de 5 ans... :cdmalad:
Il faudrait qu'ils mettent un peu à jour leur applications Linux sur WCG. :papy:

Je suis le seul qui a le problème et tournant sur une distribution avec les mises à jour les plus récentes :murbric: ?

Re: Kernel 4.15 et UT en erreur [spectre et meltdown]

Posté : 13 avril 2018, 18:08
par Elgrande71
Chez moi, les deux ordinateurs qui crunchent utilisent le système Debian 9 ( Stretch ) .
La version de glibc n'est pas très récente quand même .

Re: Kernel 4.15 et UT en erreur [spectre et meltdown]

Posté : 13 avril 2018, 22:56
par Maeda
Il faut espérer que leur applications seront recompilées, sinon lorsque toutes les distributions arriveront à ce niveau, ça va crier :evil:

Re: Kernel 4.15 et UT en erreur [spectre et meltdown]

Posté : 13 avril 2018, 23:55
par Elgrande71
La recompilation des applications n'est certainement pas une priorité de certains administrateurs de projet surtout s'ils ne disposent pas forcément du code source .

Re: Kernel 4.15 et UT en erreur [spectre et meltdown]

Posté : 14 avril 2018, 11:18
par Maeda
C'est dans le pipe :fccpu:
WCG Dev armstrdj a écrit :We will add updating the linux applications to the schedule. These will likely be phased by research project. Keep an eye on the beta test forum for updates.

Thanks,

Re: Kernel 4.15 et UT en erreur [spectre et meltdown]

Posté : 14 avril 2018, 11:29
par Elgrande71
Merci de l'information . :jap: